:root {
  --primary: #e31e24;
  --primary-light: #ff0009;
  --gray: #798383;
  --border: #ced7d9;
  --text: #282f2f;
  --bg-gray: #f8f7f7;
  --rounded: 0.75rem;
}

.layout {
  max-width: 1540px;
  width: 100%;
  padding-inline: 2rem;
  margin-inline: auto;
}

body,
button,
input,
select,
optgroup,
textarea {
  color: var(--text);
  font-family:
    "Montserrat",
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen-Sans,
    Ubuntu,
    Cantarell,
    "Helvetica Neue",
    sans-serif;
  font-size: 1rem;
  line-height: 1.5;
}

a {
  color: var(--primary);
  cursor: pointer;
  transition: color 400ms;
}

a:visited {
  color: var(--primary-light);
}

a:hover,
a:focus,
a:active {
  color: var(--text);
}

label {
  font-size: 0.75rem;
  text-transform: uppercase;
  color: var(--gray);
  font-weight: 600;
}

select,
textarea,
input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"] {
  border: 1px solid var(--border);
  border-radius: var(--rounded);
  padding: 1rem;
  outline: none;
  font-size: 0.875rem;
  font-weight: 400;
  transition: border-color 400ms;
}

select:focus,
textarea:focus,
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus {
  border-color: var(--text);
}

.button {
  padding-block: 0.875rem;
  padding-inline: 2rem;
  font-weight: 600;
  font-size: 1rem;
  line-height: 1.25;
  border-radius: 999px;
  background-color: var(--primary);
  color: white;
  border: none;
  cursor: pointer;
  transition: all 400ms;
}

.button:hover {
  background-color: var(--text);
  color: white;
}

.icon {
  width: 1.5rem;
  height: 1.5rem;
  display: inline-block;
  background-color: currentColor;
  mask-image: var(--icon);
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
}
